package controller

import (
	"web-qudo-be/app/module/our_service_contents/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	OurServiceContent OurServiceContentController
}

func NewController(
	ourServiceService service.OurServiceContentService,
	log zerolog.Logger,
) *Controller {
	return &Controller{
		OurServiceContent: NewOurServiceContentController(ourServiceService, log),
	}
}